io.swagger.client.model

## Class Contract

- java.lang.Object
- - io.swagger.client.model.Contract

-     public class Contract
      extends Object

  Contract

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `addContractActionsItem(ContractAction contractActionsItem)`
    `Contract` | `addContractPropertiesItem(ContractProperty contractPropertiesItem)`
    `Contract` | `addTransactionsItem(Transaction transactionsItem)`
    `Contract` | `connectionID(Integer connectionID)`
    `Contract` | `contractActions(List<ContractAction> contractActions)`
    `Contract` | `contractCodeId(Integer contractCodeId)`
    `Contract` | `contractProperties(List<ContractProperty> contractProperties)`
    `Contract` | `deployedByUserId(Integer deployedByUserId)`
    `boolean` | `equals(Object o)`
    `Integer` | `getConnectionID()` Get connectionID
    `List<ContractAction>` | `getContractActions()` Get contractActions
    `Integer` | `getContractCodeId()` Get contractCodeId
    `List<ContractProperty>` | `getContractProperties()` Get contractProperties
    `Integer` | `getDeployedByUserId()` Get deployedByUserId
    `Integer` | `getId()` Get id
    `String` | `getLedgerIdentifier()` Get ledgerIdentifier
    `Integer` | `getProvisioningStatus()` Get provisioningStatus
    `List<Transaction>` | `getTransactions()` Get transactions
    `Integer` | `getWorkflowId()` Get workflowId
    `int` | `hashCode()`
    `Contract` | `id(Integer id)`
    `Contract` | `ledgerIdentifier(String ledgerIdentifier)`
    `Contract` | `provisioningStatus(Integer provisioningStatus)`
    `void` | `setConnectionID(Integer connectionID)`
    `void` | `setContractActions(List<ContractAction> contractActions)`
    `void` | `setContractCodeId(Integer contractCodeId)`
    `void` | `setContractProperties(List<ContractProperty> contractProperties)`
    `void` | `setDeployedByUserId(Integer deployedByUserId)`
    `void` | `setId(Integer id)`
    `void` | `setLedgerIdentifier(String ledgerIdentifier)`
    `void` | `setProvisioningStatus(Integer provisioningStatus)`
    `void` | `setTransactions(List<Transaction> transactions)`
    `void` | `setWorkflowId(Integer workflowId)`
    `String` | `toString()`
    `Contract` | `transactions(List<Transaction> transactions)`
    `Contract` | `workflowId(Integer workflowId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Contract

          public Contract()

  - ### Method Detail

    - #### id

          public Contract id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### provisioningStatus

          public Contract provisioningStatus(Integer provisioningStatus)

    - #### getProvisioningStatus

          public Integer getProvisioningStatus()

      Get provisioningStatus
      Returns:
        provisioningStatus

    - #### setProvisioningStatus

          public void setProvisioningStatus(Integer provisioningStatus)

    - #### connectionID

          public Contract connectionID(Integer connectionID)

    - #### getConnectionID

          public Integer getConnectionID()

      Get connectionID
      Returns:
        connectionID

    - #### setConnectionID

          public void setConnectionID(Integer connectionID)

    - #### ledgerIdentifier

          public Contract ledgerIdentifier(String ledgerIdentifier)

    - #### getLedgerIdentifier

          public String getLedgerIdentifier()

      Get ledgerIdentifier
      Returns:
        ledgerIdentifier

    - #### setLedgerIdentifier

          public void setLedgerIdentifier(String ledgerIdentifier)

    - #### deployedByUserId

          public Contract deployedByUserId(Integer deployedByUserId)

    - #### getDeployedByUserId

          public Integer getDeployedByUserId()

      Get deployedByUserId
      Returns:
        deployedByUserId

    - #### setDeployedByUserId

          public void setDeployedByUserId(Integer deployedByUserId)

    - #### workflowId

          public Contract workflowId(Integer workflowId)

    - #### getWorkflowId

          public Integer getWorkflowId()

      Get workflowId
      Returns:
        workflowId

    - #### setWorkflowId

          public void setWorkflowId(Integer workflowId)

    - #### contractCodeId

          public Contract contractCodeId(Integer contractCodeId)

    - #### getContractCodeId

          public Integer getContractCodeId()

      Get contractCodeId
      Returns:
        contractCodeId

    - #### setContractCodeId

          public void setContractCodeId(Integer contractCodeId)

    - #### contractProperties

          public Contract contractProperties(List<ContractProperty> contractProperties)

    - #### addContractPropertiesItem

          public Contract addContractPropertiesItem(ContractProperty contractPropertiesItem)

    - #### getContractProperties

          public List<ContractProperty> getContractProperties()

      Get contractProperties
      Returns:
        contractProperties

    - #### setContractProperties

          public void setContractProperties(List<ContractProperty> contractProperties)

    - #### transactions

          public Contract transactions(List<Transaction> transactions)

    - #### addTransactionsItem

          public Contract addTransactionsItem(Transaction transactionsItem)

    - #### getTransactions

          public List<Transaction> getTransactions()

      Get transactions
      Returns:
        transactions

    - #### setTransactions

          public void setTransactions(List<Transaction> transactions)

    - #### contractActions

          public Contract contractActions(List<ContractAction> contractActions)

    - #### addContractActionsItem

          public Contract addContractActionsItem(ContractAction contractActionsItem)

    - #### getContractActions

          public List<ContractAction> getContractActions()

      Get contractActions
      Returns:
        contractActions

    - #### setContractActions

          public void setContractActions(List<ContractAction> contractActions)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.